Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation.transaction
Class TransactionOperation

    java.lang.Object
      org.deegree.ogcwebservices.wfs.operation.transaction.TransactionOperation

Direct Known Subclasses:
  Delete, Insert, Native, Replace, Update

    public abstract class TransactionOperation

extends Object

Abstract base class for all operations that can occur inside a `Transaction` request.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Anup Deshmukh , Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`protected` | `TransactionOperation(String handle)` Creates a new `TransactionOperation` instance that may be identified (in the scope of a transaction) by the optional handle.

Method Summary
`abstract List<QualifiedName>` | `getAffectedFeatureTypes()` Returns the names of the feature types that are affected by the operation.
`String` | `getHandle()` Returns the idenfifier of the operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionOperation

    protected TransactionOperation(String handle)

  Creates a new `TransactionOperation` instance that may be identified (in the scope of a transaction) by the optional handle.

  Parameters:
    `handle` - optional identifier for the operation (for error messsages)

Method Detail

### getHandle

    public String getHandle()

  Returns the idenfifier of the operation.

  Returns:
    the idenfifier of the operation.

### getAffectedFeatureTypes

    public abstract List<QualifiedName> getAffectedFeatureTypes()

  Returns the names of the feature types that are affected by the operation.

  Returns:
    the names of the affected feature types.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org